<?php

// Admin web routes  for facebook_account
Route::group(['prefix' => trans_setlocale().'/admin/fbaccount'], function () {
    Route::resource('facebook_account', 'Fbaccount\Fbaccount\Http\Controllers\FacebookAccountAdminWebController');
});

// Admin API routes  for facebook_account
Route::group(['prefix' => trans_setlocale().'api/v1/admin/fbaccount'], function () {
    Route::resource('facebook_account', 'Fbaccount\Fbaccount\Http\Controllers\FacebookAccountAdminApiController');
});

// User web routes for facebook_account
Route::group(['prefix' => trans_setlocale().'/user/fbaccount'], function () {
    Route::resource('facebook_account', 'Fbaccount\Fbaccount\Http\Controllers\FacebookAccountUserWebController');
});

// User API routes for facebook_account
Route::group(['prefix' => trans_setlocale().'api/v1/user/fbaccount'], function () {
    Route::resource('facebook_account', 'Fbaccount\Fbaccount\Http\Controllers\FacebookAccountUserApiController');
});

// Public web routes for facebook_account
Route::group(['prefix' => trans_setlocale().'/fbaccounts'], function () {
    Route::get('/', 'Fbaccount\Fbaccount\Http\Controllers\FacebookAccountPublicWebController@index');
    Route::get('/{slug?}', 'Fbaccount\Fbaccount\Http\Controllers\FacebookAccountPublicWebController@show');
});

// Public API routes for facebook_account
Route::group(['prefix' => trans_setlocale().'api/v1/fbaccounts'], function () {
    Route::get('/', 'Fbaccount\Fbaccount\Http\Controllers\FacebookAccountPublicApiController@index');
    Route::get('/{slug?}', 'Fbaccount\Fbaccount\Http\Controllers\FacebookAccountPublicApiController@show');
});

