<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'fbaccount',

    /*
     * Package.
     */
    'package'   => 'fbaccount',

    /*
     * Modules.
     */
    'modules'   => ['facebook_account'],


    'facebook_account'       => [
        'model'             => 'Fbaccount\Fbaccount\Models\FacebookAccount',
        'table'             => 'facebook_accounts',
        'presenter'         => \Fbaccount\Fbaccount\Repositories\Presenter\FacebookAccountItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'username',  'password',  'name',  'access_token',  'cookies',  'faid',  'birthday',  'phone_number',  'PRIMARY'],
        'translate'         => ['username',  'password',  'name',  'access_token',  'cookies',  'faid',  'birthday',  'phone_number',  'PRIMARY'],

        'upload-folder'     => '/uploads/fbaccount/facebook_account',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
