<?php

namespace Fbaccount\Fbaccount\Repositories\Eloquent;

use Fbaccount\Fbaccount\Interfaces\FacebookAccountRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class FacebookAccountRepository extends BaseRepository implements FacebookAccountRepositoryInterface
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'name'  => 'like'
    ];

    public function boot()
    {
        $this->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('package.fbaccount.facebook_account.model');
    }
}
