<?php

namespace Fbaccount\Fbaccount\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FacebookAccountListTransformer extends TransformerAbstract
{
    public function transform(\Fbaccount\Fbaccount\Models\FacebookAccount $facebook_account)
    {
        return [
            'id'                => $facebook_account->getRouteKey(),
            'username'          => $facebook_account->username,
            'password'          => $facebook_account->password,
            'name'              => $facebook_account->name,
            'access_token'      => $facebook_account->access_token,
            'cookies'           => $facebook_account->cookies,
            'faid'              => $facebook_account->faid,
            'birthday'          => $facebook_account->birthday,
            'phone_number'      => $facebook_account->phone_number,
            'PRIMARY'           => $facebook_account->PRIMARY,
        ];
    }
}